[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBasicAction.UpdateTarget

Notify client controls when the action updates itself.

## Declaration

Source position: classesh.inc line 1807

`public procedure TBasicAction.UpdateTarget(`
`Target: TObject`
`); virtual;`

## Description

UpdateTarget should update the client control specified by Target when the action updates itself. In TBasicAction, the implementation of UpdateTarget is empty. Descendent classes should override and implement UpdateTarget to actually update the Target object.

An application programmer should never need to call HandlesTarget directly, it will be called by the action itself when needed.

## See also

HandlesTarget |  | Determines whether Target can be handled by this action
ExecuteTarget |  | Executes the action on the Target object

Documentation generated on: Feb 26 2014